<?php
/*************************************************************************
 _   _       _     _   _  __     _      _____  
| \ | | __ _| |__ (_) | |/ /    / \    |__  /  
|  \| |/ _` | '_ \| | | ' /    / _ \     / /   
| |\  | (_| | |_) | | | . \ _ / ___ \ _ / /_ _ 
|_| \_|\__,_|_.__/|_| |_|\_(_)_/   \_(_)____(_)

**************************************************************************
* @Author		Nabi KaramAliZadeh
* @Website		www.Nabi.ir
* @Email		info@nabi.ir
* @Package		KonkoorKill
* @Version		4.0.0
* @File			KonkoorKill_v4.0.0_final_azmoon_sarasari_87.zip
* @Copyright(C) 2008 Nabi K.A.Z. ,All rights reserved.
* @Released under the terms of the GNU Public License
*************************************************************************/

$url = 'http://www4.sanjesh.org/sarasari87/kns/result_dav.php';
$referer = 'http://www4.sanjesh.org/sarasari87/kns/index.php';

$logfile_found = "logs/logfile_found.txt"; //CHMOD file: 702
$logfile_notfound = "logs/logfile_notfound.txt"; //CHMOD file: 702
$logfile_results = "logs/"; //CHMOD folder: 777

$mode = @$_REQUEST['mode'];
$sds = @$_GET['sds'];
$sds1 = @$_GET['sds1'];
$sds2 = @$_GET['sds2'];
$slns = @$_GET['slns'];
$sns = @$_GET['sns'];
$sshs = @$_GET['sshs'];
$stts = @$_GET['stts'];
$filename = @$_FILES['filename'];

if ($mode) {
	$start_time = microtime();
	include('HTTP/Request.php');
	
	header('Content-Type: text/html; charset=windows-1256');
	
	@set_time_limit(0);
	@ini_set("memory_limit", "1024M");
	@ini_set("output_buffering","off");
	@ob_end_clean();
	@clearstatcache();
	@ob_implicit_flush(TRUE);
	
	if ($logfile_found) $fp_found = @fopen($logfile_found, "a");
	if ($logfile_notfound) $fp_notfound = @fopen($logfile_notfound, "a");
	
	switch ($mode)
	{
		case "1":
			echo "Searching ... #". $sds."<br>\n";
			$req = &new HTTP_Request($url);	
			$req->setMethod(HTTP_REQUEST_METHOD_POST);
			$req->addHeader('Referer', $referer);
			$req->addPostData('sds', $sds);
			$req->addPostData('slns', $slns);
			$req->addPostData('sns', $sns);
			$req->addPostData('sshs', $sshs);
			$req->addPostData('stts', $stts);
			$req->sendRequest();
			$response1 = $req->getResponseBody();
			echo $response1;
			if ($logfile_found and $response1) @fputs($fp_found, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
			if ($logfile_notfound and !$response1) @fputs($fp_notfound, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
			if ($logfile_results and $response1)
			{
				$fp_results = @fopen($logfile_results.$sds.".htm", "w");
				@fputs($fp_results, $response1);
				@fclose($fp_results);
			}
		break;

		case "2":
			for ($sds=$sds1; $sds<=$sds2; $sds++)
			{
				echo "Searching ... #". $sds."<br>\n";
				$req = &new HTTP_Request($url);	
				$req->setMethod(HTTP_REQUEST_METHOD_POST);
				$req->addHeader('Referer', $referer);
				$req->addPostData('sds', $sds);
				$req->addPostData('slns', $slns);
				$req->addPostData('sns', $sns);
				$req->addPostData('sshs', $sshs);
				$req->addPostData('stts', $stts);
				$req->sendRequest();
				$response1 = $req->getResponseBody();
				echo $response1;
				if ($logfile_found and $response1) @fputs($fp_found, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
				if ($logfile_notfound and !$response1) @fputs($fp_notfound, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
				if ($logfile_results and $response1)
				{
					$fp_results = @fopen($logfile_results.$sds.".htm", "w");
					@fputs($fp_results, $response1);
					@fclose($fp_results);
				}
			}
		break;

		case "3":
				if ($filename['type'] != "text/plain") die("Just open text file !");
				$file = $filename['tmp_name'];
				$fp2 = fopen($file, "r");
				$data = file($file);
				for ($i = 0; $i < count($data); $i++)
				{
					$data[$i] = trim($data[$i]);
					list( $sds, $slns, $sns, $sshs, $stts ) = preg_split ( '/\t/', $data[$i] );
					echo "Searching ... #". $sds . "<br>\n";
					$req = &new HTTP_Request($url);
					$req->setMethod(HTTP_REQUEST_METHOD_POST);
					$req->addHeader('Referer', $referer);
					$req->addPostData('sds', $sds);
					$req->addPostData('slns', $slns);
					$req->addPostData('sns', $sns);
					$req->addPostData('sshs', $sshs);
					$req->addPostData('stts', $stts);
					$req->sendRequest();
					$response1 = $req->getResponseBody();
					echo $response1;
					if ($logfile_found and $response1) @fputs($fp_found, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
					if ($logfile_notfound and !$response1) @fputs($fp_notfound, "$sds\t$slns\t$sns\t$sshs\t$stts\n");
					if ($logfile_results and $response1)
					{
						$fp_results = @fopen($logfile_results.$sds.".htm", "w");
						@fputs($fp_results, $response1);
						@fclose($fp_results);
					}
				}
				fclose ($fp2);
				unlink($file);
		break;
	}
	if ($logfile_found) @fclose($fp_found);
	if ($logfile_notfound) @fclose($fp_notfound);
	print "The end.<br>\n";
	$duration = microtime_diff($start_time, microtime());
	$duration = sprintf("%0.3f", $duration);
	print "Duration: ".$duration." seconds.<br>\n";
	exit;
}
//Calculates the differences in microtime captures
function microtime_diff($a, $b)
{
	list($a_dec, $a_sec) = explode(" ", $a);
	list($b_dec, $b_sec) = explode(" ", $b);
	return $b_sec - $a_sec + $b_dec - $a_dec;
}
?>
<html lang="fa">

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1256">
<title>.:: KonkoorKill v4.0.0 by Nabi K.A.Z. ::.</title>
<link rel="stylesheet" type="text/css" href="media/style.css">
<script type="text/javascript">
function switchCell(m) {
  var style
  document.getElementById("navcell1").className = "tab-offr";
  document.getElementById("navcell2").className = "tab-off";
  document.getElementById("navcell3").className = "tab-off";
  document.getElementById("tb1").className = "hide-table";
  document.getElementById("tb2").className = "hide-table";
  document.getElementById("tb3").className = "hide-table";
  if(m == 1) {style = "tab-onr"} else {style = "tab-on"}
  document.getElementById("navcell" + m).className = style;
  document.getElementById("tb" + m).className = "show-table";
}
</script>
</head>

<body>

<table style="width: 615px" align="center" class="style4">
	<tr>
		<td style="width: 78px">
		<img alt="" src="media/logo_sanjesh.gif" width="56" height="56" class="style5"></td>
		<td class="style6"><strong>      1387<br>
		</strong><span class="style8">   !</span></td>
	</tr>
</table>

<table align="center">
	<tr>
		<td>
		<table id="tb_content">
			<tr>
				<td align="center">
				<table border="0" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td onclick="switchCell(1)" class="tab-onr" id="navcell1" align="center">
						<a href="javascript:switchCell(1)"> </a> </td>
						<td onclick="switchCell(2)" class="tab-off" id="navcell2" align="center">
						<a href="javascript:switchCell(2)">   </a> </td>
						<td onclick="switchCell(3)" class="tab-off" id="navcell3" align="center">
						<a href="javascript:switchCell(3)">   </a> </td>
					</tr>
				</table>
				<table class="show-table" id="tb1" name="tb" width="100%">
					<tr>
						<td align="center">
<!--   -->
						<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
						<table style="width: 100%;" class="style2">
							<tr>
								<td colspan="2" class="style1" style="height: 24px">
								<strong>    </strong></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> :</td>
								<td>
								<input name="sds" type="text" style="width: 141px; direction:ltr;">&nbsp;</td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> ϐ:</td>
								<td>
								<input name="slns" type="text" style="width: 141px"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px">:</td>
								<td>
								<input name="sns" type="text" style="width: 141px"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> :</td>
								<td>
								<input name="sshs" type="text" style="width: 141px; direction:ltr;"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> :</td>
								<td>
								<input name="stts" type="text" style="width: 48px; direction:ltr;">13</td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px">&nbsp;</td>
								<td>
								<input type="hidden" name="mode" value="1">
								<input type="submit" value="">&nbsp;</td>
							</tr>
						</table>
						</form>
<!-- /  -->
						</td>
					</tr>
				</table>
				<table class="hide-table" id="tb2" name="tb" width="100%">
					<tr>
						<td align="center">
<!--     -->
						<form method="get" action="<?php echo $_SERVER['PHP_SELF']; ?>">
						<table style="width: 100%;" class="style2">
							<tr>
								<td colspan="2" class="style1" style="height: 24px">
								<strong>    </strong></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> :</td>
								<td>
								 
								<input name="sds1" type="text" style="width: 66px; direction:ltr;">
								&nbsp;<input name="sds2" type="text" style="width: 66px; direction:ltr;"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px"> ϐ:</td>
								<td>
								<input name="slns" type="text" style="width: 141px"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px">:</td>
								<td>
								<input name="sns" type="text" style="width: 141px"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px;"> :</td>
								<td>
								<input name="sshs" type="text" style="width: 141px; direction:ltr;"></td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px;"> :</td>
								<td>
								<input name="stts" type="text" style="width: 48px; direction:ltr;">13</td>
							</tr>
							<tr>
								<td class="style3" style="width: 226px">&nbsp;</td>
								<td>
								<input type="hidden" name="mode" value="2">
								<input type="submit" value="">&nbsp;</td>
							</tr>
						</table>
						</form>
<!-- /    -->
						</td>
					</tr>
				</table>
				<table class="hide-table" id="tb3" name="tb" width="100%">
					<tr>
						<td align="center">
<!--     -->
						<form method="post" enctype="multipart/form-data" action="<?php echo $_SERVER['PHP_SELF']; ?>">
						<table style="width: 610px; text-align:justify" class="style2">
							<tr>
								<td colspan="2" class="style1" style="height: 24px">
								<strong>    </strong></td>
							</tr>
							<tr>
								<td colspan="2">       
								      .   
								       .  
								  Ԙ        
								         
								   &quot; &quot; &quot; ϐ&quot; 
								&quot;&quot; &quot; &quot; &quot;    
								 &quot; .         <span lang="en-us">
								TAB</span> (        
								)     .
								</td>
							</tr>
							<tr>
								<td class="style3" style="width: 230px"> 
								  :</td>
								<td>
								<input name="filename" type="file" size="40">&nbsp;</td>
							</tr>
							<tr>
								<td class="style3" style="width: 230px">&nbsp;</td>
								<td>
								<input type="hidden" name="mode" value="3">
								<input type="submit" value="">&nbsp;</td>
							</tr>
						</table>
						</form>
<!-- /    -->
						</td>
					</tr>
				</table>
				</td>
			</tr>
		</table>
		</td>
	</tr>
</table>
<br>

<table width="600px" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td>
      <div align="center"><hr>

		<div class="style7">
			<div style="direction:rtl;">
			        ѐ       
			       .           .<br>
			     Open Source       .<br>
			       : 
			<a target="_blank" href="http://konkoorkill.nabi.ir">konkoorkill.nabi.ir</a><br>
			      .</div >
			<span lang="en-us">
			KonkoorKill version 4.0.0 </span>- by
			<span lang="en-us"><a target="_blank" href="http://www.nabi.ir">Nabi 
			K.A.Z.</a><br>
			</span>Bugs Report to<span lang="en-us"> info</span>[at]<span lang="en-us">nabi.ir<br>
			Pwered by: <a target="_blank" href="http://www.ahwazserver.net">
			AhwazServer.Net</a></span></div>
      <hr></div>
    </td>
  </tr>
</table>

</body>

</html>
